<?php
$wp_customize->add_section(
    'single_author_options',
    array(
        'title' => esc_html__( 'Single Author Post Options', 'maglink' ),
        'panel' => 'single_options_panel',
    )
);
/*Show Author Posts
*-----------------------------------------*/
$wp_customize->add_setting(
    'maglink_options[show_author_posts]',
    array(
        'default'           => $maglink_default['show_author_posts'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[show_author_posts]',
    array(
        'label'    => __( 'Show Author Posts', 'maglink' ),
        'section'  => 'single_author_options',
        'type'     => 'checkbox',
    )
);

/*Author Posts Text.*/
$wp_customize->add_setting(
    'maglink_options[author_posts_text]',
    array(
        'default'           => $maglink_default['author_posts_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_text]',
    array(
        'label'    => __( 'Author Posts Text', 'maglink' ),
        'section'  => 'single_author_options',
        'type'     => 'text',
    )
);

/* Number of Author Posts */
$wp_customize->add_setting(
    'maglink_options[no_of_author_posts]',
    array(
        'default'           => $maglink_default['no_of_author_posts'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[no_of_author_posts]',
    array(
        'label'       => __( 'Number of Author Posts', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'number',
    )
);



// No of posts offset.
$wp_customize->add_setting(
    'maglink_options[author_posts_number_of_post_offsets]',
    array(
        'default' => $maglink_default['author_posts_number_of_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_number_of_post_offsets]',
    array(
        'label' => __('Post Offset Number', 'maglink'),
        'section' => 'single_author_options',
        'type' => 'number',
    )
);


/*Author Posts Orderby*/
$wp_customize->add_setting(
    'maglink_options[author_posts_orderby]',
    array(
        'default'           => $maglink_default['author_posts_orderby'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_orderby]',
    array(
        'label'       => __( 'Orderby', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices' => array(
            'date' => __('Date', 'maglink'),
            'id' => __('ID', 'maglink'),
            'title' => __('Title', 'maglink'),
            'rand' => __('Random', 'maglink'),
        ),
    )
);

/*Author Posts Order*/
$wp_customize->add_setting(
    'maglink_options[author_posts_order]',
    array(
        'default'           => $maglink_default['author_posts_order'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_order]',
    array(
        'label'       => __( 'Order', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices' => array(
            'asc' => __('ASC', 'maglink'),
            'desc' => __('DESC', 'maglink'),
        ),
    )
);



$wp_customize->add_setting(
    'maglink_options[enable_author_posts_author_meta]',
    array(
        'default'           => $maglink_default['enable_author_posts_author_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_author_posts_author_meta]',
    array(
        'label'       => esc_html__( 'Show Author Meta', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_author_posts_author_meta]',
    array(
        'default'           => $maglink_default['select_author_posts_author_meta'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_author_posts_author_meta]',
    array(
        'label'         => esc_html__( 'Author Meta Display Options', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices'       => maglink_author_meta(),


    )
);

$wp_customize->add_setting(
    'maglink_options[author_posts_author_meta_title]',
    array(
        'default'           => $maglink_default['author_posts_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'maglink' ),
        'section'  => 'single_author_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'maglink_options[enable_author_posts_date_meta]',
    array(
        'default'           => $maglink_default['enable_author_posts_date_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_author_posts_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_author_posts_date]',
    array(
        'default'           => $maglink_default['select_author_posts_date'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_author_posts_date]',
    array(
        'label'         => esc_html__( 'Select Date Meta', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices'       => maglink_date_meta(),

    )
);

$wp_customize->add_setting(
    'maglink_options[single_related_post_date_meta_title]',
    array(
        'default'           => $maglink_default['single_related_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[single_related_post_date_meta_title]',
    array(
        'label'    => __( 'Date Meta Text', 'maglink' ),
        'section'  => 'single_author_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_author_posts_date_format]',
    array(
        'default'           => $maglink_default['select_author_posts_date_format'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_author_posts_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices'       => maglink_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'maglink_options[enable_author_posts_category_meta]',
    array(
        'default'           => $maglink_default['enable_author_posts_category_meta'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_author_posts_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Category Meta', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_author_posts_number_of_category]',
    array(
        'default'           => $maglink_default['select_author_posts_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'maglink_options[select_author_posts_number_of_category]',
    array(
        'label'       => __( 'Number of Category', 'maglink' ),
        'section'     => 'single_related_options',
        'type'        => 'number',
    )
);

$wp_customize->add_setting(
    'maglink_options[author_posts_category_label]',
    array(
        'default'           => $maglink_default['author_posts_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'maglink_options[author_posts_category_label]',
    array(
        'label'    => __( 'Category Label', 'maglink' ),
        'section'  => 'single_author_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'maglink_options[select_author_posts_category_color]',
    array(
        'default'           => $maglink_default['select_author_posts_category_color'],
        'sanitize_callback' => 'maglink_sanitize_select',
    )
);
$wp_customize->add_control(
    'maglink_options[select_author_posts_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'maglink' ),
        'section'     => 'single_author_options',
        'type'        => 'select',
        'choices'       => maglink_category_color(),

    )
);
